Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Returns the spending limit for a given card.
cURL
curl --request GET \ --url 'https://api.equalsmoney.com/v2/cards/{cardId}/spending-limits?accountId={{accountId}}&budgetId={{budgetId}}' \ --header 'Authorization: <api-key>'
import requests url = "https://api.equalsmoney.com/v2/cards/{cardId}/spending-limits" headers = {"Authorization": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}}; fetch('https://api.equalsmoney.com/v2/cards/{cardId}/spending-limits', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.equalsmoney.com/v2/cards/{cardId}/spending-limits", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: <api-key>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.equalsmoney.com/v2/cards/{cardId}/spending-limits" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.equalsmoney.com/v2/cards/{cardId}/spending-limits") .header("Authorization", "<api-key>") .asString();
require 'uri' require 'net/http' url = URI("https://api.equalsmoney.com/v2/cards/{cardId}/spending-limits") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '<api-key>' response = http.request(request) puts response.read_body
{ "limit": 200, "offset": 100, "count": 67, "rows": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "amount": 100.5, "currencyCode": "GBP", "active": true, "limitTurnedOff": true, "limitWindow": "DAY", "available": { "uses": 0, "amount": 100.5, "daysRemaining": 1 } } ] }
The ID of the card to work with.
36
"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"
The ID of the account to work with.
"F50091"
The ID of the budget to work with.
"775596ae-2624-40af-a9dc-9756110a4a03"
The ID of the person to work with.
"775596ae-2624-40af-a9dc-9756110a4a04"
The maximum number of results to return.
1 <= x <= 1000
200
The number of items to skip before returning results.
x >= 0
100
OK
The total amount of records matching the querying when "limit" is ignored.
67
Show child attributes
Was this page helpful?